/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.financial.settlement.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.financial.settlement.entity.MaintainData;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface DataMaintenanceMapper extends BaseMapper<MaintainData> {
	int insertList(@Param("list") List<MaintainData> list);
	void deleteData(String projectId);
	List<MaintainData> findListMain(List<String> strings);
}