/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.materialInventory.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.materialInventory.entity.MaterialInventory;
import com.jeeplus.modules.sg.managementcenter.materialInventory.entity.MaterialRequisition;
import com.jeeplus.modules.sg.managementcenter.materialProvided.entity.MaterialProvided;
import com.jeeplus.modules.sg.managementcenter.project.entity.PickingRequisition;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface MaterialInventoryMapper extends BaseMapper<MaterialInventory> {
    public Integer insertList(@Param("list") List<MaterialInventory> list);

    List<MaterialInventory> findByList(@Param("list") List<MaterialRequisition> list);

    List<MaterialInventory> findListInventory(@Param("list") List<PickingRequisition> list);
}