<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目运营管理</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<script type="text/javascript">

		$(document).ready(function() {
			jp.ajaxForm("#inputForm",function(data){
				if(data.success){
				    jp.success(data.msg);
					jp.go("${ctx}/test/project/maintenence");
				}else{
				    jp.error(data.msg);
				    $("#inputForm").find("button:submit").button("reset");
				}
			});

				//富文本初始化
			$('#problemDesc').summernote({
				height: 300,                
                lang: 'zh-CN',
                callbacks: {
                    onChange: function(problemDesc, $editable) {
                        $("input[name='problemDesc']").val($('#problemDesc').summernote('code'));//取富文本的值
                    }
                }
            });
            $('#dealPlan').summernote({
                height: 300,
                lang: 'zh-CN',
                callbacks: {
                    onChange: function(dealPlan, $editable) {
                        $("input[name='dealPlan']").val($('#dealPlan').summernote('code'));//取富文本的值
                    }
                }
            });
		});
	</script>
</head>
<body>
<div class="wrapper wrapper-content">				
<div class="row">
	<div class="col-md-12">
	<div class="panel panel-primary">
		<div class="panel-heading">
			<h3 class="panel-title"> 
				<a class="panelButton" href="${ctx}/test/project/maintenence"><i class="ti-angle-left"></i> 返回</a>
			</h3>
		</div>
		<div class="panel-body">
		<form:form id="inputForm" modelAttribute="projectMaintenence" action="${ctx}/test/project/maintenence/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
				<div class="form-group">
					<label class="col-sm-2 control-label">项目类型：</label>
					<div class="col-sm-10">
						<form:input path="projectType" htmlEscape="false"    class="form-control "/>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label">项目编号：</label>
					<div class="col-sm-10">
						<form:input path="projectCode" htmlEscape="false"    class="form-control "/>
					</div>
				</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">报告编号：</label>
				<div class="col-sm-10">
					<form:input path="reportCode" htmlEscape="false"    class="form-control "/>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">模块：</label>
				<div class="col-sm-10">
					<form:input path="module" htmlEscape="false"    class="form-control "/>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">反馈人：</label>
				<div class="col-sm-10">
					<form:input path="feedbacker" htmlEscape="false"    class="form-control "/>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">反馈人部门：</label>
				<div class="col-sm-10">
					<form:input path="feedbackerDep" htmlEscape="false"    class="form-control "/>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">联系电话：</label>
				<div class="col-sm-10">
					<form:input path="phoneNum" htmlEscape="false"    class="form-control "/>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">QQ：</label>
				<div class="col-sm-10">
					<form:input path="qqId" htmlEscape="false"    class="form-control "/>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">微信：</label>
				<div class="col-sm-10">
					<form:input path="weixinId" htmlEscape="false"    class="form-control "/>
				</div>
			</div>
				<div class="form-group">
					<label class="col-sm-2 control-label">问题描述：</label>
					<div class="col-sm-10">
                        <input type="hidden" name="problemDesc" value=" ${projectMaintenence.problemDesc}"/>
						<div id="problemDesc">
                          ${fns:unescapeHtml(projectMaintenence.problemDesc)}
                        </div>
					</div>
				</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">处理状态：</label>
				<div class="col-sm-10">
					<form:input path="dealStatus" htmlEscape="false"    class="form-control "/>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">处理方案：</label>
				<div class="col-sm-10">
					<input type="hidden" name="dealPlan" value=" ${projectMaintenence.dealPlan}"/>
					<div id="dealPlan">
							${fns:unescapeHtml(projectMaintenence.dealPlan)}
					</div>
				</div>
			</div>
		<c:if test="${mode == 'add' || mode=='edit'}">
				<div class="col-lg-3"></div>
		        <div class="col-lg-6">
		             <div class="form-group text-center">
		                 <div>
		                     <button class="btn btn-primary btn-block btn-lg btn-parsley" data-loading-text="正在提交...">提 交</button>
		                 </div>
		             </div>
		        </div>
		</c:if>
		</form:form>
		</div>				
	</div>
	</div>
</div>
</div>
</body>
</html>