/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.materialProvided.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.materialProvided.entity.MaterialProvided;
import com.jeeplus.modules.sg.managementcenter.materialProvided.entity.MaterialProvidedVersion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface MaterialProvidedVersionMapper extends BaseMapper<MaterialProvidedVersion> {
    MaterialProvidedVersion findMaxVersion();
    List<MaterialProvidedVersion> findAllVersion();

    MaterialProvidedVersion findById(MaterialProvidedVersion materialProvidedVersion);
}