/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.materialinfo.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.materialinfo.entity.MaterialInfo;
import com.jeeplus.modules.sg.managementcenter.materialinfo.entity.MaterialStandard;
import com.jeeplus.modules.sg.managementcenter.materialinfo.entity.MaterialVersion;
import com.jeeplus.modules.sg.managementcenter.materialproject.entity.MaterialProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface MaterialVersionMapper extends BaseMapper<MaterialVersion> {
	int insertList(@Param("list") List<MaterialStandard> list);
	List<MaterialVersion> findSat(String batch);
	void deleteByBatch(String batch);
	void deleteData(String batch);

}