/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.moduleacquisition.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.moduleacquisition.entity.ModuleBlock;
import com.jeeplus.modules.sg.managementcenter.moduleacquisition.entity.ModuleListing;
import org.apache.ibatis.annotations.Param;


import java.util.List;


@MyBatisMapper
public interface ModuleListingMapper extends BaseMapper<ModuleListing> {
    Integer insertList(@Param("list") List<ModuleListing> list);

    List<ModuleListing> findByList(@Param("list") List<ModuleBlock> moduleBlocks);
}