<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>项目经理交底页面</title>
    <meta name="decorator" content="ani"/>
    <!-- SUMMERNOTE -->
    <%@include file="/webpage/include/summernote.jsp" %>
    <%@include file="divideForm.js" %>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#beginDate').datetimepicker({
                format: "YYYY-MM-DD HH:mm:ss"
            });
            $('#endDate').datetimepicker({
                format: "YYYY-MM-DD HH:mm:ss"
            });
        });
        function save() {
            jp.loading();
            jp.post("${ctx}/managementcenter/activiti/editConSave",$("#inputForm").serialize(),function (data) {
                if (data.success) {
                    jp.getParent().refresh();
                    var dialogIndex = parent.layer.getFrameIndex(window.name); //获取窗口索引
                    parent.layer.close(dialogIndex);
                    jp.success(data.msg);
                } else {
                    jp.error(data.msg);
                }
            })
        }
    </script>
</head>
<body>
<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-primary">
                <div class="panel-body">
                    <form:form id="inputForm" modelAttribute="construction" action="${ctx}/managementcenter/divide/save"
                               method="post" class="form-horizontal">
                        <form:hidden path="id"/>
                        <input id="procInsId" type="hidden" value="${fns:unescapeHtml(construction.procInsId)}">
                        <table class="table table-bordered">
                            <tbody>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">施工通道：</label></td>
                                <td class="width-35">
                                    <form:input path="disclose.channel" cssClass="form-control"/>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 设备基础是否可以扩容：</label></td>
                                <td class="width-35">
                                    <form:select path="disclose.capacity" cssClass="form-control">
                                        <form:option value="否"/>
                                        <form:option value="是"/>
                                    </form:select>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">现场设备尺寸：</label></td>
                                <td class="width-35">
									<form:input path="disclose.sceneSize" cssClass="form-control"/>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 最多可扩容尺寸：</label></td>
                                <td class="width-35">
									<form:input path="disclose.capacitySize" cssClass="form-control"/>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">方案安全隐患：</label></td>
                                <td class="width-35">
									<form:select path="disclose.hiddenDanger" cssClass="form-control">
										<form:option value="无"/>
										<form:option value="有"/>
									</form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 是否存在低压或通信线等影响施工：</label></td>
                                <td class="width-35">
									<form:select path="disclose.influenceConstruction" cssClass="form-control">
										<form:option value="否"/>
										<form:option value="是"/>
									</form:select>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">立项重复：</label></td>
                                <td class="width-35">
									<form:select path="disclose.projectRepetition" cssClass="form-control">
										<form:option value="否"/>
										<form:option value="是"/>
									</form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 是否已实施：</label></td>
                                <td class="width-35">
									<form:select path="disclose.implemented" cssClass="form-control">
										<form:option value="否"/>
										<form:option value="是"/>
									</form:select>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">变压器无负荷：</label></td>
                                <td class="width-35">
									<form:select path="disclose.transformer" cssClass="form-control">
										<form:option value="有"/>
										<form:option value="无"/>
									</form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right">项目实施必要性描述</label></td>
                                <td class="width-35">
									<form:input path="disclose.explanationOfNecessity" cssClass="form-control"/>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right"> 线路名称一致性：</label></td>
                                <td class="width-35">
									<form:select path="disclose.lineName" cssClass="form-control">
										<form:option value="一致"/>
										<form:option value="不一致"/>
									</form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right">工程量是否一致：</label></td>
                                <td class="width-35">
									<form:select path="disclose.quantities" cssClass="form-control">
										<form:option value="是"/>
										<form:option value="否"/>
									</form:select>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right"> 设备、开关、杆号一致性：</label></td>
                                <td class="width-35">
									<form:select path="disclose.rodNumber" cssClass="form-control">
										<form:option value="一致"/>
										<form:option value="不一致"/>
									</form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 图纸现场不一致描述：</label></td>
                                <td class="width-35">
									<form:input path="disclose.inconsistentDescription" cssClass="form-control"/>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">政处类型：</label></td>
                                <td class="width-35">
									<form:select path="disclose.administrationType" cssClass="form-control">
										<form:option value="4.无"/>
										<form:option value="1.农村政处"/>
										<form:option value="2.民事政处/行政政处（公路/水利）"/>
										<form:option value="3.行政政处（城区道路）"/>

										<form:option value="1.农村政处;2.民事政处/行政政处（公路/水利）"/>
										<form:option value="1.农村政处;3.行政政处（城区道路）"/>
										<form:option value="2.民事政处/行政政处（公路/水利）;3.行政政处（城区道路）"/>
										<form:option value="1.农村政处;2.民事政处/行政政处（公路/水利）;3.行政政处（城区道路）"/>
									</form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right">前置条件：</label></td>
                                <td class="width-35">
									<form:input path="disclose.precondition" cssClass="form-control"/>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">政策处理描述：</label></td>
                                <td class="width-35">
									<form:input path="disclose.policyHandlingInstructions" cssClass="form-control"/>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> DTU安放方式核查：</label></td>
                                <td class="width-35">
									<form:select path="disclose.placementMode" cssClass="form-control">
										<form:option value="无"/>
										<form:option value="户内"/>
										<form:option value="户外"/>
									</form:select>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">核查环网柜生产日期：</label></td>
                                <td class="width-35">
									<form:input path="disclose.productionDate" cssClass="form-control"/>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 二次是否是集成模块：</label></td>
                                <td class="width-35">
									<form:select path="disclose.integrateModule" cssClass="form-control">
										<form:option value="否"/>
										<form:option value="是"/>
									</form:select>
                                </td>

                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">PT是否需要更换：</label></td>
                                <td class="width-35">
									<form:select path="disclose.needReplace" cssClass="form-control">
										<form:option value="否"/>
										<form:option value="是"/>
									</form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 设备是否有整体改造的必要：</label></td>
                                <td class="width-35">
									<form:select path="disclose.overallTransformation" cssClass="form-control">
										<form:option value="否"/>
										<form:option value="是"/>
									</form:select>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">其它问题类型：</label></td>
                                <td class="width-35">
                                    <form:input path="disclose.otherProblem" cssClass="form-control"/>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </form:form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>