<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>数据维护</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="materialVersionList.js" %>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">物料项目</h3>
	</div>
	<div class="panel-body">
	
	<!-- 搜索 -->
	<div id="search-collapse" class="collapse">
		<div class="accordion-inner">
			<form:form id="searchForm" modelAttribute="materialVersion" class="form form-horizontal well clearfix">
				<div class="col-xs-12 col-sm-6 col-md-4">
					<label class="label-item single-overflow pull-left" title="物料批次：">物料批次：</label>
					<form:input path="batch" htmlEscape="false" maxlength="64"  class=" form-control"/>
				</div>
		 <div class="col-xs-12 col-sm-6 col-md-4">
			<div style="margin-top:26px">
			  <a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
			  <a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
			 </div>
	    </div>	
	</form:form>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div id="toolbar">
			<%--<shiro:hasPermission name="managementcenter:materialproject:add">--%>
				<%--<button id="add" class="btn btn-primary" onclick="add()">--%>
					<%--<i class="glyphicon glyphicon-plus"></i> 新建--%>
				<%--</button>--%>
			<%--</shiro:hasPermission>--%>
			<%--<shiro:hasPermission name="managementcenter:materialproject:edit">--%>
			    <%--<button id="edit" class="btn btn-success" disabled onclick="edit()">--%>
	            	<%--<i class="glyphicon glyphicon-edit"></i> 修改--%>
	        	<%--</button>--%>
			<%--</shiro:hasPermission>--%>
			<shiro:hasPermission name="managementcenter:materialversion:del">
				<button id="remove" class="btn btn-danger" disabled onclick="deleteAll()">
	            	<i class="glyphicon glyphicon-remove"></i> 删除
	        	</button>
			</shiro:hasPermission>
			<shiro:hasPermission name="managementcenter:materialversion:import">
	        		<button id="btnImport" class="btn btn-warning">
					<i class="fa fa-file-excel-o"></i> 导入物料
				</button>
			 </shiro:hasPermission>

		    </div>
		
	<!-- 表格 -->
	<table id="dataTable"   data-toolbar="#toolbar"></table>

    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
    	<shiro:hasPermission name="managementcenter:materialproject:add">
        <li data-item="view"><a>查看</a></li>
        </shiro:hasPermission>
    	<shiro:hasPermission name="managementcenter:materialproject:edit">
        <li data-item="edit"><a>编辑</a></li>
        </shiro:hasPermission>
        <shiro:hasPermission name="managementcenter:materialproject:del">
        <li data-item="delete"><a>删除</a></li>
        </shiro:hasPermission>
        <li data-item="action1"><a>取消</a></li>
    </ul>  
	</div>
	</div>
	</div>
</body>
</html>