<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>模块清单</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/managementcenter/moduleacquisition/moduleListing/save",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg);
                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }
	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="moduleListing" class="form-horizontal">
		<form:hidden path="id"/>	
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right" style="float: left">模块名称：</label></td>
					<td class="width-35">
						<form:input path="mdName" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">模块大类：</label></td>
					<td class="width-35">
						<form:input path="mdBigClass" htmlEscape="false"   class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right" style="float: left">模块中类：</label></td>
					<td class="width-35">
						<form:input path="mdTheClass" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">大分类：</label></td>
					<td class="width-35">
						<form:input path="bigClassification" htmlEscape="false"   class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right" style="float: left">中分类：</label></td>
					<td class="width-35">
						<form:input path="theClassification" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">小分类：</label></td>
					<td class="width-35">
						<form:input path="smallClassification" htmlEscape="false"   class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right" style="float: left">物料编码：</label></td>
					<td class="width-35">
						<form:input path="materialCode" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">物料描述：</label></td>
					<td class="width-35">
						<form:input path="materialDescription" htmlEscape="false"   class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right" style="float: left">扩展描述：</label></td>
					<td class="width-35">
						<form:input path="extensionDescription" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">单位：</label></td>
					<td class="width-35">
						<form:input path="mdUnits" htmlEscape="false"   class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right" style="float: left">数量：</label></td>
					<td class="width-35">
						<form:input path="mdCount" htmlEscape="false" class="form-control number"/>
					</td>
					<td class="width-15 active"><label class="pull-right">单重：</label></td>
					<td class="width-35">
						<form:input path="mdSingleWeight" htmlEscape="false"   class="form-control number"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right" style="float: left">总重：</label></td>
					<td class="width-35">
						<form:input path="mdTotalWeight" htmlEscape="false" class="form-control number"/>
					</td>
					<td class="width-15 active"><label class="pull-right">甲乙供：</label></td>
					<td class="width-35">
						<form:input path="mdTheParty" htmlEscape="false"   class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right" style="float: left">备注：</label></td>
					<td class="width-35">
						<form:input path="mdText" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">总量：</label></td>
					<td class="width-35">
						<form:input path="mdTotalAmount" htmlEscape="false"   class="form-control number"/>
					</td>
				</tr>
			</tbody>
		</table>
	</form:form>
</body>
</html>