<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>导出erp管理</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="exportErp.js" %>
</head>
<body>
	<div class="wrapper wrapper-content">
		<div class="panel panel-primary">
			<div class="panel-heading">
				<h3 class="panel-title">导出erp管理</h3>
			</div>
			<div id="search-collapse" class="collapse">
				<div class="accordion-inner">
					<form:form id="searchForm" modelAttribute="acquisition" class="form form-horizontal well clearfix">
						<div class="col-xs-12 col-sm-6 col-md-4">
							<label class="label-item single-overflow pull-left" title="项目名称：">项目名称：</label>
							<form:input path="projectId" htmlEscape="false" class="form-control"/>
						</div>
						<div class="col-xs-12 col-sm-6 col-md-4">
							<div style="margin-top:26px">
								<a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
								<a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
							</div>
						</div>
					</form:form>
				</div>
			</div>
			<button style="margin: 10px 0px 0px 10px;" id="exportErp" class="btn btn-warning" onclick="exportErp()">
				<i class="fa fa-file-excel-o"></i>导出成本erp
			</button>
			<button style="margin: 10px 0px 0px 10px;" id="exportErp2" class="btn btn-warning" onclick="exportErp2()">
				<i class="fa fa-file-excel-o"></i>导出资本erp
			</button>
			<table id="informationTable"  data-toolbar="#toolbar" class="table"></table>
		</div>
	</div>
</body>
</html>