<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>项目管理列表页</title>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <meta name="decorator" content="ani"/>
    <%@ include file="/webpage/include/bootstraptable.jsp" %>
    <%@ include file="fullExamine.js"%>
</head>
<body>
<div class="wrapper wrapper-content">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">施工单位物资专职审核</h3>
        </div>
        <h3>项目：${projectNumber.requireName}&nbsp;发起第${projectNumber.theNumber}次开具领料清单</h3>
        <form:form id="inputForm" modelAttribute="showList" class="form-horizontal">
            <input type="hidden" id="procInsId" name="procInsId" value="${showList.act.procInsId}"/>
        </form:form>
        <div class="panel-body">
            <div>
                <ul class="nav nav-tabs">
                    <li role="presentation" id="click2" style="border-bottom: 0px;border-left: 1px solid rgb(221,221,221);border-right: 1px solid rgb(221,221,221);border-top: 1px solid rgb(221,221,221)"><a id="qd" href="javascript:void(0)">查看领料清单</a></li>
                    <li role="presentation" id="click3" ><a id="mkqd" href="javascript:void(0)">查看模块清单</a></li>
                </ul>
            </div>
            <div id="div2" style="display: block">
                <table id="informationTable"   data-toolbar="#toolbar" class="table"></table>
            </div>
            <div id="div3" style="display: none">
                <table id="informationTable2"   data-toolbar="#toolbar" class="table"></table>
            </div>
            <div class="row">
                <div class="col-sm-3"></div>
                <div class="col-sm-6">
                    <div class="form-group text-center" style="text-align: center;margin-top: 20px;">
                        <input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="确认提交"/>&nbsp;
                        <input id="no" class="btn  btn-primary btn-lg btn-danger" type="submit" value="驳回"/>&nbsp;
                    </div>
                </div>
            </div>
            <c:if test="${not empty showList.id}">
                <act:flowChart procInsId="${showList.act.procInsId}"/>
                <act:histoicFlow procInsId="${showList.act.procInsId}"/>
            </c:if>
        </div>
    </div>
</div>
</body>
</html>